@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.wrapper {
  position: relative;
}

.dimmed {
  opacity: 0.35;
  transition: opacity 0.1s;
}

.markerLabel {
  max-width: 150px;
}

.smallLabel {
  font-size: 0.8125rem;
}

.markerLabels {
  position: absolute;
  pointer-events: none;
}

.hoverArea {
  fill: transparent;
}

.tooltipContainer {
  overflow: visible;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

.label {
  position: absolute;
  transition: .3s;
  opacity: 0;
  visibility: hidden;
  font-size: var(--font-size-s);

  &.isVisible {
    opacity: 1;
    visibility: visible;
  }

  &.major {
    font-weight: bold;
  }
}

.tooltipDot {
  stroke: white;
  stroke-width: 2;
  pointer-events: none;
  transition: .3s;
  opacity: 0;
  visibility: hidden;

  &.isVisible {
    opacity: 1;
    visibility: visible;
  }
}